### Function

# GLib test_rand_int

since: 2.16

#### Declaration

    gint32
    g_test_rand_int (
      void
    )

#### Description

Get a reproducible random integer number.

The random numbers generated by the g_test_rand_*() family of functions change with every new test program start, unless the —seed option is given when starting test programs.

For individual test cases however, the random number generator is reseeded, to avoid dependencies between tests and to make —seed effective for all test cases.

Available since: 2.16

#### Return value

Type: `gint32`

A random number from the seeded random number generator.